PrivacyLevel (gCube Social Networking Library 1.15.0-SNAPSHOT API)
Date: 2017-05-13

org.gcube.portal.databook.shared

## Enum PrivacyLevel

- java.lang.Object
- - java.lang.Enum<PrivacyLevel>
  - - org.gcube.portal.databook.shared.PrivacyLevel

- All Implemented Interfaces:
    Serializable, Comparable<PrivacyLevel>

      public enum PrivacyLevel
      extends Enum<PrivacyLevel>

  Version:
    1.0 July 6th 2012
  Author:
    Massimiliano Assante ISTI-CNR

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTION`
    `PORTAL`
    `PRIVATE`
    `PUBLIC`
    `SINGLE_VRE`
    `VRES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PrivacyLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PrivacyLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIVATE

          public static final PrivacyLevel PRIVATE

    - #### CONNECTION

          public static final PrivacyLevel CONNECTION

    - #### VRES

          public static final PrivacyLevel VRES

    - #### SINGLE_VRE

          public static final PrivacyLevel SINGLE_VRE

    - #### PORTAL

          public static final PrivacyLevel PORTAL

    - #### PUBLIC

          public static final PrivacyLevel PUBLIC

  - ### Method Detail

    - #### values

          public static PrivacyLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PrivacyLevel c : PrivacyLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PrivacyLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017. All Rights Reserved.